<div class="container --search">
  <% if @results.length != 0 %>
    <p class="header-sub"><%= t("search_result_all_label") %> <%= @length %> <%= t("list_label") %></p>
    <table class="ui table">
      <thead>
        <tr>
          <th class=""><%= t("community_survey.vname_label") %></th>
          <th><%= t("house.house_label") %></th>
          <th><%= t("family_folder.family_label") %></th>
          <th colspan="2"><%= t("person.title_label") %></th>
        </tr>
      </thead>
      <tbody>
        <% @results.each do | item | %>
        <%
          house = House.find(item.house_id)
          community_survey = CommunitySurvey.find(house.community_survey_id)
        %>
          <tr>
            <td>
              <%= link_to community_surveys_path(vid: community_survey.id, value: params[:value]), target: :_blank do %>
                <%= community_survey.vname %>
              <% end %>
            </td>
            <td>
              <%= link_to community_survey_houses_path(community_survey.id, hid: house.id, value: params[:value]), target: :_blank do %>
                <%= house.house %>
              <% end %>
            </td>
            <td>
              <%= link_to community_survey_house_family_folders_path(community_survey.id, house.id, family_folder_id: item.family_folder_id, value: params[:value]), target: :_blank do %>
                <%= item.family_folder_id %>
              <% end %>
            </td>
            <td>
              <%= link_to community_survey_house_family_folder_people_path(community_survey.id, house.id, item.family_folder_id, person_id: item.person_id, value: params[:value]), target: :_blank do %>
                <%= item.first_name %> <%= item.last_name %>
                <% if item.pid.present? %>
                  <div class="sub header"><%= t("cid_label") %> <%= item.pid %></div>
                <% end %>
              <% end %>
            </td>
            <td><%= link_to t('person_health_survey.title_label'), community_survey_house_family_folder_person_person_health_surveys_path(community_survey.id, house.id, item.family_folder_id, item.person_id, value: params[:value]), target: :_blank %>
              <%= link_to t('home_visit.title_label'), community_survey_house_family_folder_person_home_visits_path(community_survey.id, house.id, item.family_folder_id, item.person_id, value: params[:value]), target: :_blank %>
            </td>
          </tr>
        <% end %>
      </tbody>
    </table>
    <div class="pagination">
      <%= paginate @results %>
    </div>
  <% else %>
    <p class="header-sub"><%= t("your_search_label") %> "<%= request.params["value"] %>" <%= t("search_not_found_label") %></p>
  <% end %>
</div>
<% content_for :menu_content_title do %> 
  <div class="ui breadcrumb">
    <div class="active section"><%= t("search_result_label") %></div>
  </div>
<% end %>
